%define	version	0.4.1
%define release 16mdk
%define name	screem

Summary:	Web Site CReating and Editing EnvironMent
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png.bz2
Source2:	%{name}.32.png.bz2
Source3:	%{name}.48.png.bz2
# (fc) 0.4.1-14mdk fix compilation against latest version of GNOME1 platform
Patch0:		screem-0.4.1-gnome1.patch.bz2

Url:		http://www.screem.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires:	gnome-libs >= 1.2.0 libxml >= 1.8.7 libglade >= 0.12 gdk-pixbuf >= 0.7
BuildRequires: bonobo-devel gdk-pixbuf-devel libglade-devel libunicode-devel 
BuildRequires: libxml-devel oaf-devel openssl-devel popt-devel gtkhtml-devel gal-devel 
BuildRequires: libGConf1-devel libgnomeprint-devel xpm-devel

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .gnome1

# needed by patch0
automake

%build

%configure --without-ssl --with-gnomevfs --disable-maintainer-mode

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall Applicationsdir=$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development \
  gnewdir=$RPM_BUILD_ROOT%{_datadir}/mc/templates Mimedir=$RPM_BUILD_ROOT%{_datadir}/mime-info

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF 
?package(%{name}):command="%{_bindir}/screem" icon="screem.png" title="Screem" longtitle="Website creation tool" needs="X11" section="Networking/WWW"
EOF

perl -pi -e "s|/home/lenny/rpm/BUILD/screem-0.4.1/libneon| |g;" $RPM_BUILD_ROOT/%_libdir/%name/plugins/*.la

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc docs AUTHORS ChangeLog NEWS README COPYING TODO FAQ BUGS DEPENDS
%{_bindir}/*
%{_libdir}/screem
%{_datadir}/screem
%{_datadir}/pixmaps/screem*
%{_datadir}/mime-info/screem.keys
%{_datadir}/mime-info/screem.mime
%{_datadir}/gnome/apps/Development/screem.desktop
%{_datadir}/gnome/help/screem
%{_datadir}/mc/templates/screem.desktop
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-16mdk
- remove invalid-directory-reference in .la files
- converts xpms to pngs

* Wed Nov 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-15mdk
- BuildRequires: xpm-devel

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-14mdk
- Patch0: fix compilation with latest gnome1 platform
- Recompiled against latest gtkhtml/gal

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-13mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-12mdk
- Recompiled against libgtkhtml16/libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-11mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-10mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-9mdk
- Disable ssl support (broken)
- Recompiled against latest gtkhtml/gal

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-8mdk
- rebuild against new gtkhtml/gal

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-7mdk
- BuildRequires:	bonobo-devel
- BuildRequires:	db1-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	libglade-devel
- BuildRequires:	libunicode-devel
- BuildRequires:	oaf-devel
- BuildRequires:	popt-devel
- Removed BuildRequires:	gnome-libs

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-6mdk
- SSL enabled
- Recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-5mdk
- Recompiled against latest gtkhtml and gal

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-4mdk
- Update build dependencies
- Use makeinstall macro to install locales correctly
- Rebuild against latest gnome-vfs

* Wed Apr 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- enable vfs
- fix release

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fixes files section

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1
- fix icon

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-6mdk
- Recompiled again latest gnome-print

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-5mdk
- added all sizes of icons
- fix typo


* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.0-4mdk
- recompiled with gnome-print 0.24

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-3mdk
- More macros
- Use optimizations
- Fix menu entry
- Fix group

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- try to reduce the "fuzzy logic" :)

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new in contribs
